version: "3.4"
services:
  backend:
    build:
      context: ./backend
    restart: unless-stopped
    networks:
      - centurion


  frontend:
    build:
      context: ./frontend
    environment:
      NODE_ENV: production
    expose:
      - 80
    restart: unless-stopped
    networks:
      - web
      - centurion
    labels:
      - "traefik.enable=true"
      - "traefik.docker.network=web"
      - "traefik.http.routers.centurion.rule=Host(`centurion.harambee.utwente.nl`)"
      - "traefik.http.routers.centurion.tls=true"
      - "traefik.http.routers.centurion.tls.options=default"

networks:
  web:
    external: true
  centurion:
    name: centurion
    internal: true